2026-01-17 21:53:10 UTC
87.3 MB
noninteractive
LC_ALLC.UTF-8
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
QEMU_CPUarm1176
UDEVoff
[#000] sha256:52fc6729ed423fd43d5ef1e36708b1419a9e16a7cbb712ff16beb1228375f5a8 - 59.65% (52.1 MB)
[#001] sha256:a13012f956efcd9e5769b72a981e6d9f1888440424e0b964a83f0cb915baf916 - 0.0% (306 Bytes)
[#002] sha256:6fe3b1e5b1e10b4dce757058fedfd9841ac4452c8bc6911027b40895bc6b32d5 - 0.0% (256 Bytes)
[#003] sha256:3612ba1bb511b04384b19625cce9aed392ed86a5dd6fda4851ab87dbfdbd97d1 - 0.0% (911 Bytes)
[#004] sha256:d353848d63653236779a7258fb17040ece128b248e2234232bab79a2444fdfb9 - 0.0% (176 Bytes)
[#005] sha256:a3bf02af01854bfb675092a27860195ca2881ae7a696d30a6aa9bd310ed31146 - 0.0% (414 Bytes)
[#006] sha256:50e13e7b2b49729dc12ff6a92189733f6f542097013be3b75a8c0cfeb8bfcc45 - 15.43% (13.5 MB)
[#007] sha256:b89eeb8864999dbd398af773f061994c21b4971e4b9b459cae7582a34d1aea3e - 0.14% (128 KB)
[#008] sha256:68756313ff4c94820654d6a177c3a9df7853dec5b3c372d7fbaa8c170ccea23b - 2.53% (2.21 MB)
[#009] sha256:a3eaf62f3f11bd0da271b59decc886277843ca8f4b3159592ebe12aa27a688e3 - 9.71% (8.47 MB)
[#010] sha256:763a1eb968981c6e1846837019ccd302ea1f155970581320f7fb858f4ca13d95 - 0.52% (462 KB)
[#011] sha256:e04e83df77bece7e2ec437b5632e8b6fa5361083d98f3bfe69a2b46a7697c815 - 0.0% (273 Bytes)
[#012] sha256:0e51ccdb6349387a45634bf0cd1eda8f72d2c6ebe9e508d7b7c99ab2f08d7763 - 0.0% (260 Bytes)
[#013] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#014] sha256:d89887144384cd599b1960b2045486030356d94ec271ce1f3598945e6ff2235f - 0.0% (1013 Bytes)
[#015] sha256:941795ec56bfb2566a8ecd5b452e84b72878fefe38140737dcade11af9ab48fe - 0.0% (278 Bytes)
[#016] sha256:21582066f63e12b3ab919e687e200657ebb1d95582eb8c211b543bba3c6d6efc - 0.0% (680 Bytes)
[#017] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#018] sha256:3f79a99a503e105398bf1a1bed894f85f0a109899d550991d0b0b6cb4c55e5ce - 0.0% (562 Bytes)
[#019] sha256:fe5c001e5c1e115fcefa85a17438ff61aa038a04cee22cb55f40f70dc08fc42c - 0.99% (885 KB)
[#020] sha256:f7a34c582263eb291f5f01c49314557b6238df759253765544a1dc4a6f92cd8a - 0.0% (570 Bytes)
[#021] sha256:0d969be36052363dcf3edd43fe98a8b83fa4106caedbef47127aff6cab457abe - 0.0% (166 Bytes)
[#022] sha256:0b5302de5be28a24da87a145c406595a8e06c996ca7aa3416c0b388b4d8856be - 9.26% (8.08 MB)
[#023] sha256:1923e59b2acb0778de4a49b569d94201c8a92366e61234ef1e9faed8f3cfd342 - 1.76% (1.54 MB)
/bin/sh -c #(nop) ADD file:6b9906f45789b90b64c91a56ea1606196fd254fc1a503968ba97d17ba6e0f35f in /
2023-07-05 05:17:24 UTC/bin/sh -c #(nop) COPY file:7e96bef641cb464ab5ecebb3e587e9602e44343ea6ef5053120a1bc89b195904 in /etc/dpkg/dpkg.cfg.d/
2023-07-05 05:17:25 UTC/bin/sh -c #(nop) COPY file:fee64614e449c34ea8ea69a2f3263d8c44f49bd0bee3761919ca8e29080c755c in /etc/apt/apt.conf.d/
2023-07-05 05:17:25 UTC/bin/sh -c #(nop) COPY file:89f8c0baac2d061891e11dceb63fff15bc65edf090909e3c161d1673a2bf6026 in /usr/bin/entry.sh
2023-07-05 05:17:26 UTC/bin/sh -c mkdir -p /usr/share/man/man1
2023-07-05 05:17:26 UTC/bin/sh -c ln -s resin-xbuild /usr/bin/cross-build-start && ln -s resin-xbuild /usr/bin/cross-build-end
2023-07-05 05:17:26 UTC/bin/sh -c #(nop) ENV LC_ALL=C.UTF-8
2023-07-05 05:17:26 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2023-07-05 05:17:26 UTC/bin/sh -c #(nop) ENV DEBIAN_FRONTEND=noninteractive
2023-07-05 05:17:26 UTC/bin/sh -c #(nop) ENV UDEV=off
2023-07-05 05:17:27 UTC/bin/sh -c #(nop) LABEL io.balena.architecture=rpi io.balena.qemu.version= io.balena.device-type=raspberrypi
2023-07-05 05:17:27 UTC/bin/sh -c #(nop) ENV QEMU_CPU=arm1176
2023-07-05 05:17:27 UTC/bin/sh -c echo '#!/bin/sh\nset -e\nset -u\nexport DEBIAN_FRONTEND=noninteractive\nn=0\nmax=2\nuntil [ $n -gt $max ]; do\n set +e\n (\n apt-get update -qq &&\n apt-get install -y --no-install-recommends "$@"\n )\n CODE=$?\n set -e\n if [ $CODE -eq 0 ]; then\n break\n fi\n if [ $n -eq $max ]; then\n exit $CODE\n fi\n echo "apt failed, retrying"\n n=$(($n + 1))\ndone\nrm -r /var/lib/apt/lists/*' > /usr/sbin/install_packages && chmod 0755 "/usr/sbin/install_packages"
2023-07-05 05:18:47 UTC/bin/sh -c install_packages libraspberrypi-bin udev
2023-07-05 05:19:43 UTC/bin/sh -c update-ca-certificates -f
2023-07-05 05:19:43 UTC/bin/sh -c #(nop) ENTRYPOINT ["/usr/bin/entry.sh"]
2023-07-05 05:19:43 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2025-05-21 14:55:10 UTC (buildkit.dockerfile.v0)LABEL io.balena.architecture=rpi
2025-05-21 14:55:10 UTC (buildkit.dockerfile.v0)LABEL io.balena.qemu.version=7.0.0+balena1-arm
2025-05-21 14:55:10 UTC (buildkit.dockerfile.v0)COPY qemu-arm-static /usr/bin # buildkit
2025-05-21 14:56:12 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c apt-get update && apt-get install -y --no-install-recommends sudo ca-certificates findutils gnupg dirmngr inetutils-ping netbase curl udev procps $( if apt-cache show 'iproute' 2>/dev/null | grep -q '^Version:'; then echo 'iproute'; else echo 'iproute2'; fi ) && rm -rf /var/lib/apt/lists/* && c_rehash && echo '#!/bin/sh\nset -e\nset -u\nexport DEBIAN_FRONTEND=noninteractive\nn=0\nmax=2\nuntil [ $n -gt $max ]; do\n set +e\n (\n apt-get update -qq &&\n apt-get install -y --no-install-recommends "$@"\n )\n CODE=$?\n set -e\n if [ $CODE -eq 0 ]; then\n break\n fi\n if [ $n -eq $max ]; then\n exit $CODE\n fi\n echo "apt failed, retrying"\n n=$(($n + 1))\ndone\nrm -rf /var/cache/apt/archives/* /var/lib/apt/lists/*' > /usr/sbin/install_packages && chmod 0755 "/usr/sbin/install_packages" # buildkit
2025-05-21 14:56:13 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c curl -SLO "http://resin-packages.s3.amazonaws.com/resin-xbuild/v1.0.0/resin-xbuild1.0.0.tar.gz" && echo "1eb099bc3176ed078aa93bd5852dbab9219738d16434c87fc9af499368423437 resin-xbuild1.0.0.tar.gz" | sha256sum -c - && tar -xzf "resin-xbuild1.0.0.tar.gz" && rm "resin-xbuild1.0.0.tar.gz" && chmod +x resin-xbuild && mv resin-xbuild /usr/bin && ln -sf resin-xbuild /usr/bin/cross-build-start && ln -sf resin-xbuild /usr/bin/cross-build-end # buildkit
2025-05-21 14:56:13 UTC (buildkit.dockerfile.v0)ENV LC_ALL=C.UTF-8
2025-05-21 14:56:13 UTC (buildkit.dockerfile.v0)ENV DEBIAN_FRONTEND=noninteractive
2025-05-21 14:56:13 UTC (buildkit.dockerfile.v0)ENV UDEV=off
2025-05-21 14:56:13 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c echo 'path-exclude /usr/share/doc/*\npath-include /usr/share/doc/*/copyright\npath-exclude /usr/share/man/*\npath-exclude /usr/share/groff/*\npath-exclude /usr/share/info/*\npath-exclude /usr/share/lintian/*\npath-exclude /usr/share/linda/*\npath-exclude /usr/share/locale/*\npath-include /usr/share/locale/en*' > /etc/dpkg/dpkg.cfg.d/01_nodoc # buildkit
2025-05-21 14:56:13 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c echo 'APT::Get::Assume-Yes "true";\nAPT::Install-Recommends "0";\nAPT::Install-Suggests "0";\nquiet "true";' > /etc/apt/apt.conf.d/01_buildconfig # buildkit
2025-05-21 14:56:14 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c mkdir -p /usr/share/man/man1 # buildkit
2025-05-21 14:56:14 UTC (buildkit.dockerfile.v0)COPY entry.sh /usr/bin/entry.sh # buildkit
2025-05-21 14:56:14 UTC (buildkit.dockerfile.v0)COPY balena-info /usr/bin/balena-info # buildkit
2025-05-21 14:56:14 UTC (buildkit.dockerfile.v0)COPY balena-idle /usr/bin/balena-idle # buildkit
2025-05-21 14:56:14 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/usr/bin/entry.sh"]
2025-05-21 14:56:14 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c curl -SLO "https://raw.githubusercontent.com/balena-io-library/base-images/a95300eda2320833e537ca20d728a870bf02177d/scripts/assets/tests/test-os.sh" && echo "Running test-os" && chmod +x test-os.sh && bash test-os.sh debian bookworm && rm -rf test-os.sh # buildkit
2025-05-21 14:56:14 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c [ ! -d /.balena/messages ] && mkdir -p /.balena/messages; echo 'This base image is deprecated and will no longer receive updates. Refer to our blog post (https://blog.balena.io/deprecate-balenalib-images/) for migration guidance and suggested alternatives. \nHere are a few details about this Docker image (For more information please visit https://www.balena.io/docs/reference/base-images/base-images/): \nArchitecture: ARM v6 \nOS: Debian Bookworm \nVariant: run variant \nDefault variable(s): UDEV=off \nExtra features: \n- Easy way to install packages with `install_packages <package-name>` command \n- Run anywhere with cross-build feature (for ARM only) \n- Keep the container idling with `balena-idle` command \n- Show base image details with `balena-info` command' > /.balena/messages/image-info # buildkit
2025-05-21 16:10:00 UTC (buildkit.dockerfile.v0)LABEL io.balena.device-type=raspberry-pi
2025-05-21 16:10:00 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c apt-get update && apt-get install -y --no-install-recommends less kmod nano net-tools ifupdown iputils-ping i2c-tools usbutils && rm -rf /var/lib/apt/lists/* # buildkit
2025-05-21 16:10:00 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c [ ! -d /.balena/messages ] && mkdir -p /.balena/messages; echo 'This base image is deprecated and will no longer receive updates. Refer to our blog post (https://blog.balena.io/deprecate-balenalib-images/) for migration guidance and suggested alternatives. \nHere are a few details about this Docker image (For more information please visit https://www.balena.io/docs/reference/base-images/base-images/): \nArchitecture: ARM v6 \nOS: Debian Bookworm \nVariant: run variant \nDefault variable(s): UDEV=off \nExtra features: \n- Easy way to install packages with `install_packages <package-name>` command \n- Run anywhere with cross-build feature (for ARM only) \n- Keep the container idling with `balena-idle` command \n- Show base image details with `balena-info` command' > /.balena/messages/image-info # buildkit
2026-01-17 21:25:35 UTC (buildkit.dockerfile.v0)LABEL maintainer=michel.promonet@free.fr
2026-01-17 21:25:35 UTC (buildkit.dockerfile.v0)WORKDIR /usr/local/share/webrtc-streamer
2026-01-17 21:53:10 UTC (buildkit.dockerfile.v0)COPY /usr/local/bin/webrtc-streamer /usr/local/bin/ # buildkit
2026-01-17 21:53:10 UTC (buildkit.dockerfile.v0)COPY /usr/local/share/webrtc-streamer/ /usr/local/share/webrtc-streamer/ # buildkit
2026-01-17 21:53:10 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["webrtc-streamer"]
2026-01-17 21:53:10 UTC (buildkit.dockerfile.v0)CMD ["-a" "-C" "config.json"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.